Employee Onboarding
Get Employee Requirements Link
Get links to submit additional tax requirements for an employee in Zeal (Early Access).
GET
/
employeeRequirements
/
link
Get Employee Requirements Link (Early Access)
curl --request GET \
--url https://api.zeal.com/employeeRequirements/link \
--header 'Authorization: <api-key>'import requests
url = "https://api.zeal.com/employeeRequirements/link"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zeal.com/employeeRequirements/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "https://app.zeal.com/employee-requirements?accessToken=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImMxOTgwMjY0ZmMyMjNhODkwYWZhZTgzYzkxYmQyZDQzOGVmMmFkMGRhZTc1MWZkZWEzNjYwYzNlNTU2YjEzOTYifQ.eyJjb21wYW55SUQiOiIyNGI1YjI5ZjA3OTI0ODQwYjExOWMzNGMxMzU4OTQwYyIsImVtcGxveWVlSUQiOiI2NTdiNjI3ZGVjYTJhOTAwMjNiNzg5NzgiLCJ0ZXN0TW9kZSI6dHJ1ZSwidXNlclR5cGUiOiJXb3JrZXIiLCJzdGFnZXMiOnsiZW1wbG95ZWVfYWNjdCI6ZmFsc2UsImk5IjpmYWxzZSwiaWRfc2NhbiI6ZmFsc2V9LCJhZG1pbklEIjpudWxsLCJ3aGl0ZUxhYmVsSUQiOm51bGwsImVtYWlsIjpudWxsLCJ2ZXJzaW9uIjoyLCJjb250cmFjdG9ySUQiOm51bGwsImV4cCI6MTcwMzE5MjMzNywiaWF0IjoxNzAyNTg3N",
"success": true
}{}Authorizations
Query Parameters
ID of the company.
ID of the employee.
Response
200
Example:
"https://app.zeal.com/employee-requirements?accessToken=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImMxOTgwMjY0ZmMyMjNhODkwYWZhZTgzYzkxYmQyZDQzOGVmMmFkMGRhZTc1MWZkZWEzNjYwYzNlNTU2YjEzOTYifQ.eyJjb21wYW55SUQiOiIyNGI1YjI5ZjA3OTI0ODQwYjExOWMzNGMxMzU4OTQwYyIsImVtcGxveWVlSUQiOiI2NTdiNjI3ZGVjYTJhOTAwMjNiNzg5NzgiLCJ0ZXN0TW9kZSI6dHJ1ZSwidXNlclR5cGUiOiJXb3JrZXIiLCJzdGFnZXMiOnsiZW1wbG95ZWVfYWNjdCI6ZmFsc2UsImk5IjpmYWxzZSwiaWRfc2NhbiI6ZmFsc2V9LCJhZG1pbklEIjpudWxsLCJ3aGl0ZUxhYmVsSUQiOm51bGwsImVtYWlsIjpudWxsLCJ2ZXJzaW9uIjoyLCJjb250cmFjdG9ySUQiOm51bGwsImV4cCI6MTcwMzE5MjMzNywiaWF0IjoxNzAyNTg3N"
Example:
true
⌘I
Get Employee Requirements Link (Early Access)
